Skip to main content
`Ctrl`+`K`

# DMPlexGetConeTuple

Return the points on the in-edges of several points in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeTuple(DM dm, IS p, PeOp PetscSection *pConesSection, PeOp IS *pCones)

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The `IS` of points, which must lie in the chart set with `DMPlexSetChart()`

## Output Parameters

- pConesSection - `PetscSection` describing the layout of `pCones`

- pCones - An `IS` containing the points which are on the in-edges for the point set `p`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexGetCone()`, `DMPlexGetConeRecursive()`, `DMPlexSetChart()`, `PetscSection`, `IS`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages